Package com.verisign.epp.codec.registry.v02

## Enum EPPRegistryDomainContact.Type

- java.lang.Object
- - java.lang.Enum<EPPRegistryDomainContact.Type>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryDomainContact.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRegistryDomainContact.Type>`
  Enclosing class:
    EPPRegistryDomainContact

      public static enum EPPRegistryDomainContact.Type
      extends java.lang.Enum<EPPRegistryDomainContact.Type>

  Possible values for the `sharePolicy` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `admin` | administrative contact
    `billing` | billing contact
    `tech` | technical contact

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRegistryDomainContact.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRegistryDomainContact.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### admin

          public static final EPPRegistryDomainContact.Type admin

      administrative contact

    - #### tech

          public static final EPPRegistryDomainContact.Type tech

      technical contact

    - #### billing

          public static final EPPRegistryDomainContact.Type billing

      billing contact

  - ### Method Detail

    - #### values

          public static EPPRegistryDomainContact.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryDomainContact.Type c : EPPRegistryDomainContact.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryDomainContact.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null